// ThreadInfo.h: Schnittstelle für die Klasse ThreadInfo.
//
//////////////////////////////////////////////////////////////////////

#ifndef THREADINFO_H
#define THREADINFO_H

class AMCMirrorPanel;
class MotorThread;
class ThreadInfo;

class ThreadInfo  
{
public:
	void setPanel(AMCMirrorPanel* p_pPanel ) { m_pPanel = p_pPanel; };
	AMCMirrorPanel* getPanel() { return m_pPanel; };
	MotorThread* getThread() { return m_pThread; };
	ThreadInfo(  MotorThread* p_pThread  );
	virtual ~ThreadInfo();

private:
	MotorThread* m_pThread;
	AMCMirrorPanel* m_pPanel;
};

#endif
